OpenapiBilling
Create a Credit Bucket.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
bucketKey*string
clientAppIds*array<>
Coverage set — at least one entry required.
description?string|null
displayOrder?|
Format
int32enabled?boolean|null
name*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bill/credit-buckets" \ -H "Content-Type: application/json" \ -d '{ "bucketKey": "string", "clientAppIds": [ "0a0ecf87-a0a2-4505-9123-85e831ff87de" ], "name": "string" }'{ "bucketKey": "string", "clientApps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "description": "string", "displayOrder": 0, "enabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "ruleReferences": [ { "enabled": true, "entitlementMappingId": "5a6a5cd7-9ec8-47b5-b1d7-457ac100853a", "ownerType": "string", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "triggerSources": [ "string" ] } ]}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "activeSubscriptions": 0, "code": "string", "historyReferences": 0, "holdersWithBalance": 0, "ruleReferences": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}